Package twisted :: Package manhole :: Module service :: Class FakeStdIO

[show private | hide private]
[frames | no frames]

## Class FakeStdIO

Method Summary
| `__init__(self, type_, list)`
| ``consolidate`(self)` Concatenate adjacent messages of same type into one.
| `flush(self)`
| `write(self, text)`

Method Details

### consolidate(self)

Concatenate adjacent messages of same type into one.

Greatly cuts down on the number of elements, increasing network transport friendliness considerably.

Generated by Epydoc 1.1 on Thu May 8 13:16:33 2003 | http://epydoc.sf.net